use "C:\Users\hellm\Dropbox\PROJECT\PAPERS from Diss\D_ALLIANCE\D_alliance_data_Ngenelite.dta"
estpost sum 
esttab using "C:\Dropbox\PROJECT\PAPERS from Diss\D_ALLIANCE\estsum.rtf", cells(" mean (fmt(3)) sd (fmt(3)) min(fmt(3)) max(fmt(3))count (fmt(0))") replace
tsset atopid year
*btscs d_alliance1 year atopid, g(peaceyrs) nspline(3)
*main model for table 2
logit d_alliance1 thterrival l.powp jdem organ1 nonagg conwtind defense offense milaidd wartime contind crisis t t2 t3, robust cluster(atopid)
est store M1, title(Full)
logit d_alliance1 thterrival organ1 nonagg conwtind defense offense milaidd wartime contind crisis t t2 t3, robust cluster(atopid)
est store M2, title(threat)
logit d_alliance1 l.powp organ1 nonagg conwtind defense offense milaidd wartime contind crisis t t2 t3, robust cluster(atopid)
est store M3, title(powparity)
logit d_alliance1 jdem organ1 nonagg conwtind defense offense milaidd wartime contind crisis t t2 t3, robust cluster(atopid)
est store M4, title(jdem)
*panel corrected estimation: random effect
xtlogit d_alliance1 thterrival l.powp jdem organ1 nonagg conwtind defense offense milaidd wartime contind crisis t t2 t3,  re vce(cl atopid)
est store M5, title(RE)
esttab M2 M3 M4 M1 M5 using "C:\Dropbox\PROJECT\PAPERS from Diss\D_ALLIANCE\est.rtf", replace cells(b(star fmt(3)) se(par fmt(2))) label star (+ 0.10 * 0.05 ** 0.01 *** 0.001) pr2 drop(t t2 t3) mtitle("full" "threat" "power parity" "joint democracy")  note (Coefficient reported. Robust standard error in the parenthesis. Models are clustered by dyads. Level of significance ***p< .001; **p< .01; *< .05; + p< .10)
*margin 
qui logit d_alliance1 i.thterrival l.powp i.jdem organ1 nonagg conwtind defense offense milaidd wartime contind crisis t t2 t3, robust cluster(atopid)
margins thterrival
dis .0236526-.0080352  
dis (.0236526-.0080352 )/.0080352
margins jdem
dis .0320778- .0142971   
dis (.0320778- .0142971)/.0142971   
*margins , at(l.powp=( .023186  .1141838 .4336942 ) ) [25%, 50%, 75%]
qui margins , at(l.powp=(.0010201 (0.01) .9835212  ) ) atmean vsquish post
marginsplot, recast(line)  plotopts (lcolor(dknavy) ) recastci(rarea) ciopts(fcolor(gs12))
*robust test[1]
*d_alliance & crisis
ta d_alliance crisis, chi
cor d_alliance crisis
*simple model
*heter test
logit d_alliance1 thterrival l.powp jdem organ1 nonagg conwtind defense offense milaidd wartime contind crisis t t2 t3, vce(robust)
est store R1, title(vce)
*Multicollinearity: VIF
qui reg d_alliance1 thterrival l.powp jdem organ1 nonagg conwtind defense offense milaidd wartime contind crisis t t2 t3, robust cluster(atopid)
estat vif
est store R2, title(VIF)
esttab R1 R2 using "C:\Dropbox\PROJECT\PAPERS from Diss\D_ALLIANCE\estrobust.rtf", replace cells(b(star fmt(3)) se(par fmt(2))) label star (+ 0.10 * 0.05 ** 0.01 *** 0.001) pr2 drop(t t2 t3)

*robustness check [milex (SIPRI) only 520, gdp 1499 gdppc 1499 huge missing data]
logit d_alliance1 l.milexp organ1 nonagg conwtind defense offense milaidd wartime contind crisis t t2 t3, robust cluster(atopid)
est store POWPR1, title(milex)
logit d_alliance1 l.gdpp organ1 nonagg conwtind defense offense milaidd wartime contind crisis t t2 t3, robust cluster(atopid)
est store POWPR2, title(GDP)
logit d_alliance1 l.gdppcp organ1 nonagg conwtind defense offense milaidd wartime contind crisis t t2 t3, robust cluster(atopid)
est store POWPR3, title(GDPPC)
*robustness check [milex(COW) 114 missing]
logit d_alliance1 L.milexcincp organ1 nonagg conwtind defense offense milaidd wartime contind crisis t t2 t3, robust cluster(atopid)
est store POWPR4, title(milex_COW1)
esttab POWPR1 POWPR2 POWPR3 POWPR4 using "C:\Dropbox\PROJECT\PAPERS from Diss\D_ALLIANCE\estrobust2.rtf", replace cells(b(star fmt(3)) se(par fmt(2))) label star (+ 0.10 * 0.05 ** 0.01 *** 0.001) pr2 drop(t t2 t3)

*COX
stset dur, id(atopid) failure(violate)
stcox d_alliance1 onemaj jdem alform crisis excrisis tarmidd4 milaidd proren nonagg neutral conwtind wartime asymm, vce(robust) efron nohr
stcurve, sur at1(d_alliance1=0) at2(d_alliance1=1)  title ("alliance dispute") 
est store COX1, title(full)
stcox d_alliance1 onemaj jdem alform crisis excrisis tarmidd4, vce(robust) efron nohr  
est store COX2, title(structural)
stcox d_alliance1 milaidd proren nonagg neutral conwtind wartime asymm, vce(robust) nohr 
est store COX3, title(obligation)
esttab COX1 COX2 COX3 using "C:\Dropbox\PROJECT\PAPERS from Diss\D_ALLIANCE\est1.rtf", replace cells(b(star fmt(3)) se(par fmt(2))) label starlevels (+ 0.10 * 0.05 ** 0.01 *** 0.001)
*testing proportional hazard assumption
stcox d_alliance1 onemaj jdem alform crisis excrisis tarmidd4 milaidd proren nonagg neutral conwtind wartime asymm, vce(robust) efron tvc(d_alliance) texp(ln(_t))
est store COXR1, title(Testing ph assumption)
esttab COXR1 using "C:\Dropbox\PROJECT\PAPERS from Diss\D_ALLIANCE\estcoxr.rtf", replace cells(b(star fmt(3)) se(par fmt(2))) label starlevels (+ 0.10 * 0.05 ** 0.01 *** 0.001)
*alternative modeling (weibull)
streg d_alliance1 onemaj jdem alform crisis excrisis tarmidd4 milaidd proren nonagg neutral conwtind wartime asymm, vce(robust) nohr distribution(weibull)
est store COXR2, title(weibull)
esttab COXR2 using "C:\Dropbox\PROJECT\PAPERS from Diss\D_ALLIANCE\estcoxr1.rtf", replace cells(b(star fmt(3)) se(par fmt(2))) label starlevels (+ 0.10 * 0.05 ** 0.01 *** 0.001)

